﻿using Syncfusion.Windows.Controls.Grid.Converter;
using Syncfusion.Windows.Controls.Spreadsheet;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication22
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
           
            this.spreadSheetControl.New(1);
            this.spreadSheetControl.ExcelProperties.WorkBook.DisplayWorkbookTabs = false;
            this.spreadSheetControl.WorkBookLoaded += spreadsheetcontrol_WorkBookLoaded;
        }
        void spreadsheetcontrol_WorkBookLoaded(object sender, Syncfusion.Windows.Controls.Spreadsheet.WorkbookLoadedEventArgs args)
        {
            this.spreadSheetControl.GridProperties.IsRowColumnHeadersVisible = false;
            
        }
    }
}

